import { HttpClient, HttpHeaders, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HelpData } from '../model/help-data';
import * as i0 from "@angular/core";
export declare class HelpPageAPIService {
    private httpClient;
    httpOptions: {
        headers: HttpHeaders;
    };
    constructor(httpClient: HttpClient);
    getHelpDataItem(appId: string, helpItemId: string, type?: string): Observable<HelpData>;
    saveHelpPage(appId: string, helpItem: HelpData): Observable<HttpResponse<any>>;
    saveHelpPageLegacy(helpItem: HelpData): Observable<HttpResponse<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HelpPageAPIService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HelpPageAPIService>;
}
